#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  Speex-1.2.1

- Next

  Taglib-2.2.1

- Up
- Home

# SVT-AV1-4.1.0

## Introduction to SVT-AV1

The SVT-AV1 package contains an AV1 encoder.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://gitlab.com/AOMediaCodec/SVT-AV1/-/archive/v4.1.0/SVT-AV1-v4.1.0.tar.gz

- Download MD5 sum: d365da75a7bce679594a575b17003a49

- Download size: 11 MB

- Estimated disk space required: 93 MB (add 648 MB for tests)

- Estimated build time: 0.7 SBU (using parallelism=4; add 31 SBU for tests)

### SVT-AV1 Dependencies

#### Required

CMake-4.3.2

#### Recommended

NASM-3.01

#### Optional

Valgrind-3.26.0

### Note

An Internet connection is needed for some tests of this package. The system certificate store may need to be set up with make-ca-1.16.1 before testing this package.

## Installation of SVT-AV1

Install SVT-AV1 by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr   \
          -D CMAKE_BUILD_TYPE=Release    \
          -D CMAKE_SKIP_INSTALL_RPATH=ON \
          -D BUILD_SHARED_LIBS=ON        \
          -W no-dev -G Ninja .. &&

    ninja

The test suite is very long and doesn't provide meaningful results. If you want to test the results anyway, issue:

    cmake .. -D BUILD_TESTING=ON &&
    ninja                        &&
    ninja TestVectors            &&
    SVT_AV1_TEST_VECTOR_PATH=$PWD/../test/vectors \
    ctest -V -O testlog.txt --timeout 10800

On a relatively slow system, you may need to increase the timeout for the tests (see the SBU value for the tests on top of the page). In the SvtAv1ApiTests test, 12 `run_paramter_check` subtests are known to fail. The test harness will download a copy of libaom (even if libaom-3.13.3 is already installed, the test harness is still unable to use the system installation) and some videos as test inputs.

Now, as the `root` user:

    ninja install

## Command Explanations

`-D BUILD_SHARED_LIBS=ON`: This parameter forces building shared versions of the libraries.

`-D CMAKE_SKIP_INSTALL_RPATH=ON`: This switch makes cmake remove hardcoded library search paths (rpath) when installing a binary executable file or a shared library. This package does not need rpath once it's installed into the standard location, and rpath may sometimes cause unwanted effects or even security issues.

`-D BUILD_TESTING=ON`: This option enables building the unit tests.

## Contents

Installed Programs: SvtAv1EncApp
Installed Libraries: libSvtAv1Enc.so
Installed Directories: /usr/include/svt-av1

### Short Descriptions

SvtAv1EncApp | is the SVT-AV1 encoder utility
`libSvtAv1Enc.so` | contains functions that enable encoding files with the AV1 codec

- Prev

  Speex-1.2.1

- Next

  Taglib-2.2.1

- Up
- Home